Package com.opensymphony.module.sitemesh.html.tokenizer

# Class TagTokenizer

java.lang.Object
com.opensymphony.module.sitemesh.html.tokenizer.TagTokenizer

public class TagTokenizer extends Object
Splits a chunk of HTML into 'text' and 'tag' tokens, for easy processing. Is VERY tolerant to badly formed HTML.

### Usage

You need to supply a custom `TokenHandler` that will receive callbacks as text and tags are processed.

    char[] input = ...;
     HTMLTagTokenizer tokenizer = new HTMLTagTokenizer(input);
     TokenHandler handler = new MyTokenHandler();
     tokenizer.start(handler);

Author:
  Joe Walnes
See Also:
  - `TokenHandler`
  - `HTMLPageParser`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final char[]`
`input`

## Constructor Summary

Constructors
Constructor
Description
`TagTokenizer(char[] input)`
`TagTokenizer(String input)`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(TokenHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### input

private final char[] input

## Constructor Details

### TagTokenizer

public TagTokenizer(char[] input)

### TagTokenizer

public TagTokenizer(String input)

## Method Details

### start

public void start(TokenHandler handler)